/**
* \file Wave.h
* \brief Plik naglowkowy do "Wave.c".
* \author Marek Sawicki
* \date 18-07-2012
*/

#ifndef __Wave_H__
#define __Wave_H__

#include "board.h"

typedef struct{
   uint8_t  ID[4];
   uint32_t FileLenght;
   uint8_t  FormatID[4];
   uint8_t  DescID[4];
   uint32_t DescLenght;
   uint16_t FormatAudio;
   uint16_t NrOfChanel;
   uint32_t FreqSample;
   uint32_t FreqByte;
   uint16_t SampleLenght;
   uint16_t Resolution;
   uint8_t  DataID[4];
   uint32_t DataLenght;
}t_waveHeader;

//-------------------------------------------------------------------------------------------------
void wavePlay(uint8_t *pName);
//-------------------------------------------------------------------------------------------------
#endif // __Wave_H__
