#include <stdio.h>
#include <RTL.h>
#include <rl_usb.h>
#include "ff.h"
#include "board.h"
#include "sysfun.h"
#include "cmdRS.h"

 FATFS    fsSD;
 DIR      tmpDir;
 FRESULT  tmpRes;

//==========================
int main (void){
   GPIO_InitTypeDef  GPIO_InitStructure;
   
   DelayMs(500);                            
   boardInit();

   //FileInit
   f_mount(0, &fsSD);
   tmpRes=f_opendir(&tmpDir,"0:/");
   if(tmpRes){
      printf("SD error !!!\r\n");
      while(1);
   }
   //Conect USB
   if(getUSBcon()==0){
      GPIO_InitStructure.GPIO_Pin = conUSB_GPIO_PIN;
      GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_PP; 
      GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
      GPIO_Init(conUSB_GPIO_PORT, &GPIO_InitStructure);
      usbd_init();                          /* USB Initialization                 */
      usbd_msc_init();
      usbd_connect(__TRUE);                 /* USB Connect                        */
      while(1);
   }

   while(1){
      cmdRSprocess();
   }//while(1)
}	 // main





