/**
* \file sysfun.c
* \brief Plik z funkcjami systemowymi.
* \author Tadeusz Sondej
* \date 10-09-2010
*/

#include "sysfun.h"
#include "board.h"
#include "diskio.h"
uint32_t cntTempT0;


void sysTimerInit (void)
{
  cntTempT0=500;
  
  SysTick_Config(SystemCoreClock/1000);
}


// to przerwanie powinno byc zawsze wlaczone !!!!!!!!!!!!!
__irq void SysTick_Handler(void)
{
//uint32_t i;

// ------- TASK -------------------------------
   disk_timerproc();
// ------- TASK -------------------------------
 
//   if(--cntTempT0==0)
//   {
//     cntTempT0=500;
// //    ledTSTToggle();
// //    printf("%ld\r\n" ,timeStamp);
//   }

}
//================================================================================
/// Funkcja programowego opoznienia.
/**
 \param time_us czas opoznienia w mikrosekundach
 \return void
*/
void DelayUs (uint32_t time_us) 
{
  while(--time_us)  // dla 64 MHz
  {
    __nop(); __nop(); __nop(); __nop(); __nop(); __nop(); __nop(); 
    __nop(); __nop(); __nop(); __nop(); __nop(); __nop(); __nop();
    __nop(); __nop(); __nop(); __nop(); __nop(); __nop(); __nop(); 
    __nop(); __nop(); __nop(); __nop(); __nop(); __nop(); __nop();
    __nop(); __nop(); __nop(); __nop(); __nop(); __nop(); __nop(); 
    __nop(); __nop(); __nop(); __nop(); __nop(); __nop(); __nop();
    __nop(); __nop(); __nop(); __nop(); __nop(); __nop(); __nop(); 
    __nop(); __nop(); __nop(); __nop();

  }
 
}


//================================================================================
/// Funkcja programowego opoznienia.
/**
 \param time_ms czas opoznienia w milisekundach
 \return void
*/
void DelayMs (uint32_t time_ms) 
{
uint32_t ims;
 
  for(ims=0; ims<time_ms; ims++) DelayUs(1000);
}
