/**
* \file sysfun.h
* \brief Plik naglowkowy do "sysfun.c".
* \author Tadeusz Sondej
* \date 10-09-2010
*/

#ifndef __SYSFUN_H__
#define __SYSFUN_H__

#include "stm32f10x.h"


#define nop()                 __nop()
#define irqAllDisable()       { __disable_irq(); }
#define irqAllEnable()        { __enable_irq();  }


void sysTimerInit (void);
void DelayMs (uint32_t time_ms);
void DelayUs (uint32_t time_us);

#endif // __SYSFUN_H__ 
