/**
* \file mytype.h
* \brief Plik naglowkowy do "mytype.c".
* \author Tadeusz Sondej
* \date 12-09-2009
*/

#ifndef __MYTYPE_H__
#define __MYTYPE_H__

#define BIT0  0x01
#define BIT1  0x02
#define BIT2  0x04
#define BIT3  0x08
#define BIT4  0x10
#define BIT5  0x20
#define BIT6  0x40
#define BIT7  0x80

#define BIT00  0x0001
#define BIT01  0x0002
#define BIT02  0x0004
#define BIT03  0x0008
#define BIT04  0x0010
#define BIT05  0x0020
#define BIT06  0x0040
#define BIT07  0x0080
#define BIT08  0x0100
#define BIT09  0x0200
#define BIT10  0x0400
#define BIT11  0x0800
#define BIT12  0x1000
#define BIT13  0x2000
#define BIT14  0x4000
#define BIT15  0x8000

#define BIT16  0x00010000
#define BIT17  0x00020000
#define BIT18  0x00040000
#define BIT19  0x00080000
#define BIT20  0x00100000
#define BIT21  0x00200000
#define BIT22  0x00400000
#define BIT23  0x00800000
#define BIT24  0x01000000
#define BIT25  0x02000000
#define BIT26  0x04000000
#define BIT27  0x08000000
#define BIT28  0x10000000
#define BIT29  0x20000000
#define BIT30  0x40000000
#define BIT31  0x80000000

typedef char                    t_char;
typedef signed char             t_int8s;
typedef unsigned char           t_int8u;
typedef signed short int        t_int16s;
typedef unsigned short int      t_int16u;
typedef signed long int         t_int32s;
typedef unsigned long int       t_int32u;
typedef signed long long int    t_int64s;    // moze byc tez __int64 (ARM RV)
typedef unsigned long long int  t_int64u;

typedef float                   t_fp32;
typedef double                  t_fp64;

typedef t_int32u   t_flag;
typedef t_int32s   t_result;

//typedef enum {FALSE = 0, TRUE = !FALSE} bool;
typedef enum {FALSE = 0, TRUE = !FALSE} t_bool;


#endif // __MYTYPE_H__ 
